﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.ComponentModel;

namespace RadRibbonBarPrism.Common
{
    public class ModuleDefinition
    {
        public ModuleDefinition()
        {
            GroupDefinitions = new List<GroupDefinition>();
        }

        public string ModuleName
        {
            get;
            set;
        }

        public string RegionName
        {
            get;
            set;
        }

        public ImageSource ModuleImageSource
        {
            get;
            set;
        }

        public IList<GroupDefinition> GroupDefinitions
        {
            get;
            private set;
        }

    }
}
